ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/system-time
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/system-time' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "year": 0, "month": 0, "day": 0, "dayOfWeek": "string", "hours": 0, "minutes": 0, "seconds": 0, "timeZone": { "utcOffsetHours": 0, "utcOffsetMinutes": 0, "displayName": "string", "id": "string", "supportsDst": true } }
- Mock server
http://{{your_prep_ip_address}}/api/v1/system-time
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/system-time?id=0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"year": 2020,
"month": 10,
"day": 22,
"hours": 14,
"minutes": 31,
"seconds": 7,
"timeZoneId": "UTC-11"
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/system-time/time-zones
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/system-time/time-zones' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "utcOffsetHours": -12, "utcOffsetMinutes": 0, "displayName": "(UTC-12:00) International Date Line West", "id": "Dateline Standard Time", "supportsDst": false }, { "utcOffsetHours": -11, "utcOffsetMinutes": 0, "displayName": "(UTC-11:00) Coordinated Universal Time-11", "id": "UTC-11", "supportsDst": false }, { "utcOffsetHours": -10, "utcOffsetMinutes": 0, "displayName": "(UTC-10:00) Aleutian Islands", "id": "Aleutian Standard Time", "supportsDst": false } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/system-time/min-system-time
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/system-time/min-system-time' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "year": 2020, "month": 10, "day": 22, "dayOfWeek": "Thursday", "hours": 14, "minutes": 31, "seconds": 7 }
- Mock server
http://{{your_prep_ip_address}}/api/v1/system-time/max-system-time
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/system-time/max-system-time' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "year": 2020, "month": 10, "day": 22, "dayOfWeek": "Thursday", "hours": 14, "minutes": 31, "seconds": 7 }